import 'package:json_annotation/json_annotation.dart';

part 'create_tiff_data.g.dart';

///Options class for tiff creation method
@JsonSerializable(nullable: true, includeIfNull: false,explicitToJson: true)
class TiffCreationOptions {
  /// Described do we need 1-byte tiff output
  bool binarized;

  TiffCreationOptions(this.binarized);

  factory TiffCreationOptions.fromJson(Map<String, dynamic> json) => _$TiffCreationOptionsFromJson(json);

  Map<String, dynamic> toJson() => _$TiffCreationOptionsToJson(this);
}